Altibase.jdbc.driver.spec4

## Class ByteBufferInputStream

- java.lang.Object
- - java.io.InputStream
  - - Altibase.jdbc.driver.spec4.ByteBufferInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public final class ByteBufferInputStream
    extends java.io.InputStream

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferInputStream()`
`ByteBufferInputStream(java.nio.ByteBuffer aBuffer)`
`ByteBufferInputStream(java.nio.ByteBuffer aBuf, int aStartIdx, int aLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] aBuffer)`
`int` `read(byte[] aBuffer, int aOffset, int aLength)`
`void` `reopen()`
`long` `skip(long aLength)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferInputStream

    public ByteBufferInputStream()

#### ByteBufferInputStream

    public ByteBufferInputStream(java.nio.ByteBuffer aBuffer)

#### ByteBufferInputStream

    public ByteBufferInputStream(java.nio.ByteBuffer aBuf,
                                 int aStartIdx,
                                 int aLength)

### Method Detail

#### reopen

    public void reopen()

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] aBuffer)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] aBuffer,
                    int aOffset,
                    int aLength)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long aLength)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`